nfc-list(1)

NAME
nfc-list - list NFC targets

SYNOPSIS
nfc-list [ options ]

DESCRIPTION
nfc-list is a utility for listing any available tags like ISO14443-A, FeliCa, Jewel or ISO14443-B (according to the device capabilities). It may detect several tags at once thanks to a mechanism called anti-collision but all types of tags don't support anti-collision and there is some physical limitation of the number of tags the reader can discover. This tool displays all available information at selection time.

OPTIONS

-v  Tells nfc-list to be verbose and display detailed information about the targets shown. This includes SAK decoding and fingerprinting is available.

-t X
    Polls only for types according to bitfield value of X:
       1: ISO14443A
       2: Felica (212 kbps)
       4: Felica (424 kbps)
       8: ISO14443B
      16: ISO14443B'
      32: ISO14443B-2 ST SRx
      64: ISO14443B-2 ASK CTx
     128: ISO14443B iClass
     256: ISO14443A-3 Jewel
     512: ISO14443A-2 NFC Barcode So 1023 (default) polls for all types. Note that if 16, 32, 64 or 128 then 8 is selected too.

EXAMPLE
For an ISO/IEC 14443-A tag (i.e.Mifare DESFire):
    ATQA (SENS_RES): 03 44
       UID (NFCID1): 04 45 35 01 db 24 80
      SAK (SEL_RES): 20
          ATS (ATR): 75 77 81 02 80

BUGS
Please report any bugs on the libnfc issue tracker at:
https://github.com/nfc-tools/libnfc/issues

LICENCE
libnfc is licensed under the GNU Lesser General Public License (LGPL), version 3.
libnfc-utils and libnfc-examples are covered by the the BSD 2-Clause license.

AUTHORS
Roel Verdult <roel@libnfc.org>,
Romain Tartière <romain@libnfc.org>,
Romuald Conty <romuald@libnfc.org>.

This manual page was written by Romuald Conty <romuald@libnfc.org>. It is licensed under the terms of the GNU GPL (version 2 or later).